AsterNet Class Library (Sandcastle documentation)

| AGIConnectionHandler Constructor

Creates a new AGIConnectionHandler to handle the given socket connection.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public AGIConnectionHandler(
    	SocketConnection socket,
    	IMappingStrategy mappingStrategy,
    	bool SC511_CAUSES_EXCEPTION,
    	bool SCHANGUP_CAUSES_EXCEPTION
    )

    Public Sub New (
    	socket As SocketConnection,
    	mappingStrategy As IMappingStrategy,
    	SC511_CAUSES_EXCEPTION As Boolean,
    	SCHANGUP_CAUSES_EXCEPTION As Boolean
    )

    public:
    AGIConnectionHandler(
    	SocketConnection^ socket,
    	IMappingStrategy^ mappingStrategy,
    	bool SC511_CAUSES_EXCEPTION,
    	bool SCHANGUP_CAUSES_EXCEPTION
    )

    new :
            socket : SocketConnection *
            mappingStrategy : IMappingStrategy *
            SC511_CAUSES_EXCEPTION : bool *
            SCHANGUP_CAUSES_EXCEPTION : bool -> AGIConnectionHandler

#### Parameters

socket
  Type: AsterNET.IO
  SocketConnection
  the socket connection to handle.
mappingStrategy
  Type: AsterNET.FastAGI
  IMappingStrategy
  the strategy to use to determine which script to run.
SC511_CAUSES_EXCEPTION
  Type: System
  Boolean

  [Missing <param name="SC511_CAUSES_EXCEPTION"/> documentation for "M:AsterNET.FastAGI.AGIConnectionHandler.#ctor(AsterNET.IO.SocketConnection,AsterNET.FastAGI.IMappingStrategy,System.Boolean,System.Boolean)"]

SCHANGUP_CAUSES_EXCEPTION
  Type: System
  Boolean

  [Missing <param name="SCHANGUP_CAUSES_EXCEPTION"/> documentation for "M:AsterNET.FastAGI.AGIConnectionHandler.#ctor(AsterNET.IO.SocketConnection,AsterNET.FastAGI.IMappingStrategy,System.Boolean,System.Boolean)"]

See Also

#### Reference

AGIConnectionHandler Class
AsterNET.FastAGI Namespace